(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     33513,        803]
NotebookOptionsPosition[     32445,        776]
NotebookOutlinePosition[     32884,        793]
CellTagsIndexPosition[     32841,        790]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8133180405205746`*^9, 3.81331804481916*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"3dbe346f-5738-4edd-9429-1c3129f1727b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"grafo", "=", 
  RowBox[{"Grafo", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"c", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"g", ",", "d"}], "}"}]}], "}"}], ",", 
    RowBox[{"pesos", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "3", ",", "2", ",", "4", ",", "2", ",", "3", ",", "2", ",", "6", ",", 
       "6", ",", "5", ",", "4", ",", "5", ",", "5", ",", "4", ",", "2", ",", 
       "5", ",", "5", ",", "2"}], "}"}]}], ",", 
    RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.8134190729500747`*^9},
 CellLabel->"In[48]:=",ExpressionUUID->"64beac98-b3c3-4930-b244-30ca294915ca"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`c, $CellContext`e, $CellContext`d, $CellContext`a, \
$CellContext`h, $CellContext`f, $CellContext`b, $CellContext`g}, {
      Null, {{1, 2}, {3, 2}, {3, 4}, {1, 3}, {2, 5}, {1, 5}, {1, 6}, {4, 7}, {
       4, 1}, {7, 1}, {7, 3}, {7, 5}, {3, 6}, {2, 6}, {6, 8}, {4, 8}, {8, 
       3}}}, {EdgeLabels -> {
        UndirectedEdge[$CellContext`g, $CellContext`d] -> 2, 
         UndirectedEdge[$CellContext`c, $CellContext`f] -> 6, 
         UndirectedEdge[$CellContext`e, $CellContext`h] -> 3, 
         UndirectedEdge[$CellContext`c, $CellContext`d] -> 2, 
         UndirectedEdge[$CellContext`b, $CellContext`d] -> 5, 
         UndirectedEdge[$CellContext`a, $CellContext`c] -> 5, 
         UndirectedEdge[$CellContext`f, $CellContext`g] -> 5, 
         UndirectedEdge[$CellContext`c, $CellContext`h] -> 2, 
         UndirectedEdge[$CellContext`d, $CellContext`a] -> 4, 
         UndirectedEdge[$CellContext`b, $CellContext`c] -> 4, 
         UndirectedEdge[$CellContext`c, $CellContext`e] -> 3, 
         UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
         UndirectedEdge[$CellContext`e, $CellContext`f] -> 2, 
         UndirectedEdge[$CellContext`b, $CellContext`h] -> 5, 
         UndirectedEdge[$CellContext`d, $CellContext`f] -> 4, 
         UndirectedEdge[$CellContext`a, $CellContext`g] -> 5, 
         UndirectedEdge[$CellContext`a, $CellContext`b] -> 6}, 
       EdgeWeight -> {3, 2, 4, 2, 3, 2, 6, 6, 5, 4, 5, 5, 4, 2, 5, 5, 2}, 
       ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[
        0.7], {LineBox[{{0.9663293433584728, 0.7735613736782181}, {
          0.7866355527474103, 0.0008487629629994053}}], 
         InsetBox["3", {0.8764824480529415, 0.38720506832060875}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.9663293433584728, 0.7735613736782181}, {
          1.6272008191725649`, 0.7748741487869887}}], 
         InsetBox["2", {1.296765081265519, 0.7742177612326033}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.9663293433584728, 0.7735613736782181}, {
          1.8064198130634046`, 1.54824544050584}}], 
         InsetBox["5", {1.3863745782109387, 1.160903407092029}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.9663293433584728, 0.7735613736782181}, {0., 
          0.7744097560414617}}], 
         InsetBox["2", {0.4831646716792364, 0.7739855648598399}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.9663293433584728, 0.7735613736782181}, {
          1.8070386800567122`, 0.}}], 
         InsetBox["6", {1.3866840117075925, 0.38678068683910904}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.9663293433584728, 0.7735613736782181}, {
          0.7871831547784476, 1.5480072223490589`}}], 
         InsetBox["4", {0.8767562490684602, 1.1607842980136385}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.7866355527474103, 0.0008487629629994053}, {
          1.6272008191725649`, 0.7748741487869887}}], 
         InsetBox["2", {1.2069181859599876, 0.38786145587499404}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.7866355527474103, 0.0008487629629994053}, {0., 
          0.7744097560414617}}], 
         InsetBox["3", {0.39331777637370513, 0.38762925950223054}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.7866355527474103, 0.0008487629629994053}, {
          1.8070386800567122`, 0.}}], 
         InsetBox["2", {1.2968371164020613, 0.0004243814814997027}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.6272008191725649`, 0.7748741487869887}, {
          1.8064198130634046`, 1.54824544050584}}], 
         InsetBox["4", {1.7168103161179848, 1.1615597946464142}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.6272008191725649`, 0.7748741487869887}, {
          1.8070386800567122`, 0.}}], 
         InsetBox["4", {1.7171197496146386, 0.38743707439349434}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.6272008191725649`, 0.7748741487869887}, {
          0.7871831547784476, 1.5480072223490589`}}], 
         InsetBox["5", {1.2071919869755061, 1.1614406855680237}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.6272008191725649`, 0.7748741487869887}, {
          2.593395019790867, 0.7743580988240422}}], 
         InsetBox["2", {2.1102979194817157, 0.7746161238055154}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.8064198130634046`, 1.54824544050584}, {
          0.7871831547784476, 1.5480072223490589`}}], 
         InsetBox["6", {1.296801483920926, 1.5481263314274494}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.8064198130634046`, 1.54824544050584}, {2.593395019790867,
           0.7743580988240422}}], 
         InsetBox["5", {2.199907416427136, 1.161301769664941}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0., 0.7744097560414617}, {0.7871831547784476, 
          1.5480072223490589`}}], 
         InsetBox["5", {0.3935915773892238, 1.1612084891952603}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.8070386800567122`, 0.}, {2.593395019790867, 
          0.7743580988240422}}], 
         InsetBox["5", {2.2002168499237893, 0.3871790494120211}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.9663293433584728, 0.7735613736782181}, 
          0.027250873892722252], 
         InsetBox["c", 
          Offset[{2, 2}, {0.993580217251195, 0.8008122475709404}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7866355527474103, 0.0008487629629994053}, 
          0.027250873892722252], 
         InsetBox["e", 
          Offset[{2, 2}, {0.8138864266401326, 0.028099636855721657}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6272008191725649, 0.7748741487869887}, 
          0.027250873892722252], 
         InsetBox["d", Offset[{2, 2}, {1.654451693065287, 0.802125022679711}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8064198130634046, 1.54824544050584}, 
          0.027250873892722252], 
         InsetBox["a", 
          Offset[{2, 2}, {1.8336706869561268, 1.575496314398562}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.7744097560414617}, 0.027250873892722252], 
         InsetBox["h", 
          Offset[{2, 2}, {0.027250873892722252, 0.801660629934184}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8070386800567122, 0.}, 0.027250873892722252], 
         InsetBox["f", 
          Offset[{2, 2}, {1.8342895539494344, 0.027250873892722252}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7871831547784476, 1.5480072223490589}, 
          0.027250873892722252], 
         InsetBox["b", 
          Offset[{2, 2}, {0.8144340286711699, 1.575258096241781}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.593395019790867, 0.7743580988240422}, 
          0.027250873892722252], 
         InsetBox["g", 
          Offset[{2, 2}, {2.620645893683589, 0.8016089727167645}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8134190740474677`*^9, 3.813429647334717*^9, 
  3.813431234209276*^9, 3.8134313064210496`*^9},
 CellLabel->"Out[48]=",ExpressionUUID->"715725f2-7f78-469e-ab54-a5d1610ddc76"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"grafo", "=", 
  RowBox[{"Grafo", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"c", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"g", ",", "d"}], "}"}]}], "}"}], ",", 
    RowBox[{"pesos", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "1"}], 
      RowBox[{"{", 
       RowBox[{
       "3", ",", "2", ",", "4", ",", "2", ",", "3", ",", "2", ",", "6", ",", 
        "6", ",", "5", ",", "4", ",", "5", ",", "5", ",", "4", ",", "2", ",", 
        "5", ",", "5", ",", "2"}], "}"}]}]}], ",", 
    RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AlDijkstra", "[", 
  RowBox[{"grafo", ",", "h", ",", "g"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"LongitudCaminoMC", "[", 
  RowBox[{"grafo", ",", "h", ",", "g"}], "]"}]}], "Input",
 CellChangeTimes->{{3.813318066917431*^9, 3.8133181030709376`*^9}, {
   3.8133185314789124`*^9, 3.813318542524365*^9}, {3.8133235979287376`*^9, 
   3.813323618376316*^9}, {3.8133466719791436`*^9, 3.8133466724442005`*^9}, {
   3.8133467541434236`*^9, 3.813346757652173*^9}, 3.813346822010618*^9, 
   3.8133479463875256`*^9, 3.8133481042480035`*^9, {3.813418786859004*^9, 
   3.8134188427256975`*^9}, {3.8134188750851407`*^9, 
   3.8134189120240803`*^9}, {3.813430138747973*^9, 3.813430140525504*^9}, {
   3.8134313123716583`*^9, 3.813431313941313*^9}},
 CellLabel->"In[52]:=",ExpressionUUID->"d0cc1d56-0e87-4799-9f08-2e03d2d80484"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`c, $CellContext`e, $CellContext`d, $CellContext`a, \
$CellContext`h, $CellContext`f, $CellContext`b, $CellContext`g}, {
      Null, {{1, 2}, {3, 2}, {3, 4}, {1, 3}, {2, 5}, {1, 5}, {1, 6}, {4, 7}, {
       4, 1}, {7, 1}, {7, 3}, {7, 5}, {3, 6}, {2, 6}, {6, 8}, {4, 8}, {8, 
       3}}}, {EdgeLabels -> {
        UndirectedEdge[$CellContext`g, $CellContext`d] -> -2, 
         UndirectedEdge[$CellContext`c, $CellContext`f] -> -6, 
         UndirectedEdge[$CellContext`e, $CellContext`h] -> -3, 
         UndirectedEdge[$CellContext`c, $CellContext`d] -> -2, 
         UndirectedEdge[$CellContext`b, $CellContext`d] -> -5, 
         UndirectedEdge[$CellContext`a, $CellContext`c] -> -5, 
         UndirectedEdge[$CellContext`f, $CellContext`g] -> -5, 
         UndirectedEdge[$CellContext`c, $CellContext`h] -> -2, 
         UndirectedEdge[$CellContext`d, $CellContext`a] -> -4, 
         UndirectedEdge[$CellContext`b, $CellContext`c] -> -4, 
         UndirectedEdge[$CellContext`c, $CellContext`e] -> -3, 
         UndirectedEdge[$CellContext`d, $CellContext`e] -> -2, 
         UndirectedEdge[$CellContext`e, $CellContext`f] -> -2, 
         UndirectedEdge[$CellContext`b, $CellContext`h] -> -5, 
         UndirectedEdge[$CellContext`d, $CellContext`f] -> -4, 
         UndirectedEdge[$CellContext`a, $CellContext`g] -> -5, 
         UndirectedEdge[$CellContext`a, $CellContext`b] -> -6}, 
       EdgeWeight -> {-3, -2, -4, -2, -3, -2, -6, -6, -5, -4, -5, -5, -4, -2, \
-5, -5, -2}, ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[
        0.7], {LineBox[{{0.9663293433584728, 0.7735613736782181}, {
          0.7866355527474103, 0.0008487629629994053}}], InsetBox[
          RowBox[{"-", "3"}], {0.8764824480529415, 0.38720506832060875}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.9663293433584728, 0.7735613736782181}, {
          1.6272008191725649`, 0.7748741487869887}}], InsetBox[
          RowBox[{"-", "2"}], {1.296765081265519, 0.7742177612326033}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.9663293433584728, 0.7735613736782181}, {
          1.8064198130634046`, 1.54824544050584}}], InsetBox[
          RowBox[{"-", "5"}], {1.3863745782109387, 1.160903407092029}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.9663293433584728, 0.7735613736782181}, {0., 
          0.7744097560414617}}], InsetBox[
          RowBox[{"-", "2"}], {0.4831646716792364, 0.7739855648598399}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.9663293433584728, 0.7735613736782181}, {
          1.8070386800567122`, 0.}}], InsetBox[
          RowBox[{"-", "6"}], {1.3866840117075925, 0.38678068683910904}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.9663293433584728, 0.7735613736782181}, {
          0.7871831547784476, 1.5480072223490589`}}], InsetBox[
          RowBox[{"-", "4"}], {0.8767562490684602, 1.1607842980136385}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.7866355527474103, 0.0008487629629994053}, {
          1.6272008191725649`, 0.7748741487869887}}], InsetBox[
          RowBox[{"-", "2"}], {1.2069181859599876, 0.38786145587499404}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.7866355527474103, 0.0008487629629994053}, {0., 
          0.7744097560414617}}], InsetBox[
          RowBox[{"-", "3"}], {0.39331777637370513, 0.38762925950223054}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.7866355527474103, 0.0008487629629994053}, {
          1.8070386800567122`, 0.}}], InsetBox[
          RowBox[{"-", "2"}], {1.2968371164020613, 0.0004243814814997027}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.6272008191725649`, 0.7748741487869887}, {
          1.8064198130634046`, 1.54824544050584}}], InsetBox[
          RowBox[{"-", "4"}], {1.7168103161179848, 1.1615597946464142}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.6272008191725649`, 0.7748741487869887}, {
          1.8070386800567122`, 0.}}], InsetBox[
          RowBox[{"-", "4"}], {1.7171197496146386, 0.38743707439349434}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.6272008191725649`, 0.7748741487869887}, {
          0.7871831547784476, 1.5480072223490589`}}], InsetBox[
          RowBox[{"-", "5"}], {1.2071919869755061, 1.1614406855680237}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.6272008191725649`, 0.7748741487869887}, {
          2.593395019790867, 0.7743580988240422}}], InsetBox[
          RowBox[{"-", "2"}], {2.1102979194817157, 0.7746161238055154}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.8064198130634046`, 1.54824544050584}, {
          0.7871831547784476, 1.5480072223490589`}}], InsetBox[
          RowBox[{"-", "6"}], {1.296801483920926, 1.5481263314274494}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.8064198130634046`, 1.54824544050584}, {2.593395019790867,
           0.7743580988240422}}], InsetBox[
          RowBox[{"-", "5"}], {2.199907416427136, 1.161301769664941}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0., 0.7744097560414617}, {0.7871831547784476, 
          1.5480072223490589`}}], InsetBox[
          RowBox[{"-", "5"}], {0.3935915773892238, 1.1612084891952603}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.8070386800567122`, 0.}, {2.593395019790867, 
          0.7743580988240422}}], InsetBox[
          RowBox[{"-", "5"}], {2.2002168499237893, 0.3871790494120211}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.9663293433584728, 0.7735613736782181}, 
          0.027250873892722252], 
         InsetBox["c", 
          Offset[{2, 2}, {0.993580217251195, 0.8008122475709404}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7866355527474103, 0.0008487629629994053}, 
          0.027250873892722252], 
         InsetBox["e", 
          Offset[{2, 2}, {0.8138864266401326, 0.028099636855721657}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6272008191725649, 0.7748741487869887}, 
          0.027250873892722252], 
         InsetBox["d", Offset[{2, 2}, {1.654451693065287, 0.802125022679711}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8064198130634046, 1.54824544050584}, 
          0.027250873892722252], 
         InsetBox["a", 
          Offset[{2, 2}, {1.8336706869561268, 1.575496314398562}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.7744097560414617}, 0.027250873892722252], 
         InsetBox["h", 
          Offset[{2, 2}, {0.027250873892722252, 0.801660629934184}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8070386800567122, 0.}, 0.027250873892722252], 
         InsetBox["f", 
          Offset[{2, 2}, {1.8342895539494344, 0.027250873892722252}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7871831547784476, 1.5480072223490589}, 
          0.027250873892722252], 
         InsetBox["b", 
          Offset[{2, 2}, {0.8144340286711699, 1.575258096241781}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.593395019790867, 0.7743580988240422}, 
          0.027250873892722252], 
         InsetBox["g", 
          Offset[{2, 2}, {2.620645893683589, 0.8016089727167645}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.8133180951993113`*^9, 3.813318103850173*^9}, 
   3.8133185450372105`*^9, 3.8133236193748198`*^9, 3.813340490412181*^9, 
   3.8133466739040956`*^9, 3.813346758680972*^9, {3.8133468257899914`*^9, 
   3.8133468406113424`*^9}, {3.813346955885067*^9, 3.8133469801692066`*^9}, 
   3.813347948371088*^9, {3.813348092379881*^9, 3.8133481056947074`*^9}, 
   3.813348141301208*^9, 3.8133531250239267`*^9, 3.8134177588458796`*^9, {
   3.8134188181704235`*^9, 3.813418844547818*^9}, {3.8134188755977736`*^9, 
   3.8134189132548003`*^9}, {3.8134190516491137`*^9, 3.8134190800107746`*^9}, 
   3.813430208301242*^9, 3.813430246824951*^9, 3.8134312370188675`*^9, {
   3.8134313098479013`*^9, 3.813431314854974*^9}},
 CellLabel->"Out[52]=",ExpressionUUID->"f4d02018-95b5-433d-aa20-3368905a3ad3"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La longitud de un camino m\[AAcute]s corto es: \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "27"}]}],
  SequenceForm["La longitud de un camino m\[AAcute]s corto es: ", -27],
  Editable->False]], "Print",
 CellChangeTimes->{{3.81341881817739*^9, 3.813418844552804*^9}, {
   3.8134188756137314`*^9, 3.813418913276741*^9}, {3.813419051663077*^9, 
   3.813419080026732*^9}, 3.813430208318203*^9, 3.813430246838914*^9, 
   3.813431237046831*^9, {3.81343130986685*^9, 3.8134313148719277`*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[52]:=",ExpressionUUID->"97c770b0-65c1-4594-bbd4-2d75920a95ad"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteraciones: \"\>", "\[InvisibleSpace]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"c", "e", "d", "a", "h", "f", "b", "g"},
       {
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", 
          RowBox[{"{", "h", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", 
          RowBox[{"{", "h", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", 
          RowBox[{"{", "h", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "9"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", 
          RowBox[{"{", "h", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "10"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "11"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", 
          RowBox[{"{", "h", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "16"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", 
          RowBox[{"{", "h", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "15"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "11"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", 
          RowBox[{"{", "h", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "16"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "16"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "19"}], ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "18"}], ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "11"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "22"}], ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", 
          RowBox[{"{", "h", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "16"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "16"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "24"}], ",", 
          RowBox[{"{", "f", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "26"}], ",", 
          RowBox[{"{", "f", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "11"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "22"}], ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", 
          RowBox[{"{", "h", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "27"}], ",", 
          RowBox[{"{", "f", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "16"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "24"}], ",", 
          RowBox[{"{", "f", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "29"}], ",", 
          RowBox[{"{", "g", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "11"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "22"}], ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", 
          RowBox[{"{", "h", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "27"}], ",", 
          RowBox[{"{", "f", "}"}]}], "}"}]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}],
  SequenceForm["Iteraciones: ", 
   MatrixForm[{{$CellContext`c, $CellContext`e, $CellContext`d, \
$CellContext`a, $CellContext`h, $CellContext`f, $CellContext`b, \
$CellContext`g}, {{
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {0, {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[
       1], {}}}, {{-2, {$CellContext`h}}, {-3, {$CellContext`h}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {0, {}}, {
       DirectedInfinity[1], {}}, {-5, {$CellContext`h}}, {
       DirectedInfinity[
       1], {}}}, {{-9, {$CellContext`b}}, {-3, {$CellContext`h}}, {-10, \
{$CellContext`b}}, {-11, {$CellContext`b}}, {0, {}}, {
       DirectedInfinity[1], {}}, {-5, {$CellContext`h}}, {
       DirectedInfinity[
       1], {}}}, {{-16, {$CellContext`a}}, {-3, {$CellContext`h}}, {-15, \
{$CellContext`a}}, {-11, {$CellContext`b}}, {0, {}}, {
       DirectedInfinity[
       1], {}}, {-5, {$CellContext`h}}, {-16, {$CellContext`a}}}, {{-16, \
{$CellContext`a}}, {-19, {$CellContext`c}}, {-18, {$CellContext`c}}, {-11, \
{$CellContext`b}}, {
      0, {}}, {-22, {$CellContext`c}}, {-5, {$CellContext`h}}, {-16, \
{$CellContext`a}}}, {{-16, {$CellContext`a}}, {-24, {$CellContext`f}}, {-26, \
{$CellContext`f}}, {-11, {$CellContext`b}}, {
      0, {}}, {-22, {$CellContext`c}}, {-5, {$CellContext`h}}, {-27, \
{$CellContext`f}}}, {{-16, {$CellContext`a}}, {-24, {$CellContext`f}}, {-29, \
{$CellContext`g}}, {-11, {$CellContext`b}}, {
      0, {}}, {-22, {$CellContext`c}}, {-5, {$CellContext`h}}, {-27, \
{$CellContext`f}}}}]],
  Editable->False]], "Print",
 CellChangeTimes->{{3.81341881817739*^9, 3.813418844552804*^9}, {
   3.8134188756137314`*^9, 3.813418913276741*^9}, {3.813419051663077*^9, 
   3.813419080026732*^9}, 3.813430208318203*^9, 3.813430246838914*^9, 
   3.813431237046831*^9, {3.81343130986685*^9, 3.813431314879917*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[52]:=",ExpressionUUID->"f8661836-3ab7-4bd1-a5f4-5e5eae0a7818"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1440., 747.75},
WindowMargins->{{Automatic, 956}, {-18.5, Automatic}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"7b48d8cb-6e0b-46c4-92d6-30dce2e80710"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 199, 3, 63, "Input",ExpressionUUID->"3dbe346f-5738-4edd-9429-1c3129f1727b"],
Cell[CellGroupData[{
Cell[782, 27, 1684, 48, 212, "Input",ExpressionUUID->"64beac98-b3c3-4930-b244-30ca294915ca"],
Cell[2469, 77, 8341, 160, 585, "Output",ExpressionUUID->"715725f2-7f78-469e-ab54-a5d1610ddc76"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10847, 242, 2454, 62, 303, "Input",ExpressionUUID->"d0cc1d56-0e87-4799-9f08-2e03d2d80484"],
Cell[13304, 306, 9369, 179, 585, "Output",ExpressionUUID->"f4d02018-95b5-433d-aa20-3368905a3ad3"],
Cell[CellGroupData[{
Cell[22698, 489, 657, 13, 49, "Print",ExpressionUUID->"97c770b0-65c1-4594-bbd4-2d75920a95ad"],
Cell[23358, 504, 9059, 268, 294, "Print",ExpressionUUID->"f8661836-3ab7-4bd1-a5f4-5e5eae0a7818"]
}, Open  ]]
}, Open  ]]
}
]
*)

